<?php

namespace App\Http\Controllers\Admin;

use App\Services\AdminService;
use App\Services\UserService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DeleteController extends Controller
{
    /**
     * @var AdminService
     */
    private $adminService;
    /**
     * @var UserService
     */
    private $userService;

    public function __construct(AdminService $adminService,UserService $userService)
    {
        $this->adminService = $adminService;
        $this->userService = $userService;
    }
    public function deleteRecord(Request $request)
    {
        $data=$request->all();
        if ($data['delete_type'] == "user") {
            $this->userService->saveUser(['user_id'=>$data['delete_id'],'deleted'=>'Y']);
        }else if ($data['delete_type'] == "batch") {
            $this->adminService->saveBatches(['batch_id'=>$data['delete_id'],'deleted'=>'Y']);
        }else if($data['delete_type']=='question_option'){
            $this->adminService->saveQuestionOptions(['question_option_id'=>$data['delete_id'],'deleted'=>'Y']);
        }else if($data['delete_type']=='question'){
            $this->adminService->saveQuestions(['question_id'=>$data['delete_id'],'deleted'=>'Y']);
        }else if($data['delete_type']=='question_option_category'){
            $this->adminService->saveQuestionOptionCategories(['question_option_categories_id'=>$data['delete_id'],'deleted'=>'Y']);
        }
        return response()->json(['code'=>200,'msg'=>'Success']);
    }
}
