<?php

namespace App\Http\Controllers\Admin;

use App\Services\AdminService;
use Illuminate\Http\Request;

class ExportController
{
    /**
     * @var AdminService
     */
    private $adminService;

    public function __construct(AdminService $adminService)
    {
        $this->adminService = $adminService;
    }

    public function exportUserBatchLogin(Request $request){
        $data=$request->all();

        $batch=$this->adminService->getBatches(['id'=>$data['batch_id']],true);
        $batch_logins=$this->adminService->getUserBatchLogins(['batch_id'=>$data['batch_id'],'date'=>!empty($data['date'])?date('Y-m-d',strtotime($data['date'])):'','is_batch_finish'=>!empty($data['is_batch_finish'])?$data['is_batch_finish']:'']);

        $temp_batch_login=[];$batch_login_id_array=[];
        foreach($batch_logins as $batch_login){
            $count_user = array_filter(array_count_values($batch_login_id_array), function($v) { return $v >= 1; });
            if(!empty($count_user[$batch_login->user_id])){
                $batch_login->user_full_name=$batch_login->user_full_name.'('.$count_user[$batch_login->user_id].')';
            }
            $temp_batch_login[]=$batch_login;
            $batch_login_id_array[]=$batch_login->user_id;
        }
        $batch_logins=$temp_batch_login;
        $records=[];
        $total_batch_login=count($batch_logins);
        $questions=$this->adminService->getQuestions(['from_id'=>$batch->from_question_id,'to_id'=>$batch->to_question_id]);
        foreach ($questions as $key=>$question){
            $arr=[];$total_correct_answer=0;
            $arr['Unit']=$question->question;
            foreach($batch_logins as $batch_login){
                $ans=$this->adminService->getUsersQuestionAnswer(['user_batch_login_id'=>$batch_login->id,'question_id'=>$question->id],true);
                if(!empty($ans)){
                    if($ans->is_auto_answer=='Y'){
                        $arr[$batch_login->user_full_name]='Default';
                    }elseif(empty($ans->option_answer)){
                        $arr[$batch_login->user_full_name]='Default';
                    }else{
                        $arr[$batch_login->user_full_name]=$ans->option_answer;
                        $ans_array_id=explode(',',$ans->option_ids);
                        if(in_array($question->actual_answer_id,$ans_array_id)){
                            $total_correct_answer++;
                        }
                    }
                    if($ans->is_edit_admin=='Y')
                        $arr[$batch_login->user_full_name]=$arr[$batch_login->user_full_name].' (Edited By Admin)';
                }
                else
                    $arr[$batch_login->user_full_name]='';

            }
            $arr['Actual']=$question->actual_answer;
            if($total_correct_answer){
                $arr['%']=number_format($total_correct_answer*100/$total_batch_login,2).'%'  ;
            }else{
                $arr['%']='0%'  ;
            }
            $records[]=$arr;
//            if($key==1){
//                echo "<pre>";print_r($records);
//            }
        }
//        echo "<pre>";print_r($records);exit;
        $date=!empty($data['date'])?date('d-m-Y',strtotime($data['date'])):date('d-m-Y');
        return \fastexcel($records)->download($batch->name.'-'.$date.'.xlsx');
    }

}
