<?php

namespace App\Http\Controllers\Admin;

use App\Services\UserService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class UserController extends Controller
{
    /**
     * @var UserService
     */
    private $userService;

    public function __construct(UserService $userService){
        $this->userService = $userService;
    }
    public function getMyProfile(){
        return view('admin.profile.my-profile');
    }

    public function postMyProfile(Request $request){
        $data=$request->all();
        if(!empty($data['new_password'])){
            $this->userService->saveUser(['user_id'=>auth()->user()->id,'password'=>$data['new_password']]);
        }
        return response()->json(['code'=>200,'msg'=>'Password Change Succcessfully']);
    }

    public function checkPassword(Request $request){
        $data=$request->all();
        $user=$this->userService->getUserProfile(auth()->user()->id);
        if (\Hash::check($data['current_password'], $user->password)) {
            return response()->json(true);
        }
        return response()->json(false);
    }

    public function getUsers(Request $request){
        $data=$request->all();
        $users=$this->userService->getUsers(['role'=>'Customer']);
//        echo "<pre>";print_r($users);exit;
        return view('admin.users.users-list',['users'=>$users]);
    }

    public function getAddUser($id,Request $request){
        $data=$request->all();
        $user=null;
        if($id)
            $user=$this->userService->getUsers(['id'=>$id],true);
        return view('admin.iframe.users.add-user',['user'=>$user]);
    }

    public function postAddUser(Request $request){
        $data=$request->all();
        try{
            $data['user_password']=$data['password'];
            if(!empty($data['user_id'])){
                $user=$this->userService->getUsers(['user_id'=>$data['user_id']],true);
                $username_check=$this->userService->getUsers(['email'=>$data['email'],'role'=>$data['role']],true);
                if(!empty($username_check)){
                    if($username_check->id!=$user->id){
                        return response()->json(['code'=>300,'msg'=>'Email is already exists']);
                    }
                }

            }else{
                $username_check=$this->userService->getUsers(['email'=>$data['email'],'role'=>$data['role']],true);
                if(!empty($username_check)){
                    return response()->json(['code'=>300,'msg'=>'Email is already exists']);
                }
            }

            $this->userService->saveUser($data);
            return response()->json(['code'=>200,'msg'=>'User Saved Successfully']);
        }catch (\Exception $e){
            return response()->json(['code'=>300,'msg'=>$e->getMessage()]);
        }
    }
}
