<?php

namespace App\Http\Controllers\Admin;

use App\Services\UserService;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class UserController extends Controller
{
    /**
     * @var UserService
     */
    private $userService;

    public function __construct(UserService $userService){
        $this->userService = $userService;
    }
    public function getMyProfile(){
        return view('admin.profile.my-profile');
    }

    public function postMyProfile(Request $request){
        $data=$request->all();
        if(!empty($data['new_password'])){
            $this->userService->saveUser(['user_id'=>auth()->user()->id,'password'=>$data['new_password']]);
        }
        return response()->json(['code'=>200,'msg'=>'Password Change Succcessfully']);
    }

    public function checkPassword(Request $request){
        $data=$request->all();
        $user=$this->userService->getUserProfile(auth()->user()->id);
        if (\Hash::check($data['current_password'], $user->password)) {
            return response()->json(true);
        }
        return response()->json(false);
    }
}
