<?php


namespace App\Services;


use App\Models\Batches;
use App\Models\Categories;
use App\Models\Items;
use App\Models\Languages;
use App\Models\QuestionOption;
use App\Models\QuestionOptionCategories;
use App\Models\Questions;
use App\Models\TimeSetting;
use App\Models\UserBatchLogin;
use App\Models\UserQuestionAnswer;

class AdminService
{
    public function uploadFile($file,$custom_name="",$fix="")
    {
        $extension = $file->getClientOriginalExtension();
        $extension=strtolower($extension);
        //$name =  time() . '-'.uniqid(). '.'.$extension;
        if (!in_array($extension,['jpg','png','jpeg','JPG','PNG','JPEG','pdf','doc','docx','mp3','mp4','webp']))
            return '';
        if ($fix!="")
            $name=$custom_name.'.'.$extension;
        else if ($custom_name!="")
            $name=$custom_name.'-'.uniqid().'.'.$extension;
        else
            $name = time() . '-'.uniqid().'.'.$extension;
        if (in_array($extension,['jpg','png','jpeg'])){
            $file->move(public_path() . "/documents/", $name);
        }
        else {
            $file->move(public_path() . "/documents/", $name);
        }
        return asset('documents/'.$name);
    }

    public function saveBatches($data){
        if(!empty($data['batch_id']))
            $batch=Batches::find($data['batch_id']);
        else
            $batch=new Batches();
        if(!empty($data['name']))
            $batch->name=$data['name'];
        if(!empty($data['from_question_id']))
            $batch->from_question_id=$data['from_question_id'];
        if(!empty($data['to_question_id']))
            $batch->to_question_id=$data['to_question_id'];
        if(!empty($data['is_active']))
            $batch->is_active=$data['is_active'];
        if(!empty($data['deleted']))
            $batch->deleted=$data['deleted'];
        $batch->save();
        return $batch;
    }

    public function getBatches($data=[],$first=false){
        $result=\DB::table('batch_list')
            ->select('batch_list.*','from.question as from_question','to.question as to_question')
            ->leftJoin('questions as from','from.id','batch_list.from_question_id')
            ->leftJoin('questions as to','to.id','batch_list.to_question_id')
            ->where('batch_list.deleted','N');
        if(!empty($data['id']))
            $result->where('batch_list.id',$data['id']);
        if(!empty($data['is_active']))
            $result->where('batch_list.is_active',$data['is_active']);
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }

    public function saveTimeSetting($data){
        $setting=TimeSetting::find(1);
        if(!empty($data['question_change_time']))
            $setting->question_change_time=$data['question_change_time'];
        if(!empty($data['break_hold_time']))
            $setting->break_hold_time=$data['break_hold_time'];
        if(!empty($data['after_each_break_time']))
            $setting->after_each_break_time=$data['after_each_break_time'];
        $setting->save();
        return $setting;
    }

    public function getTimeSetting(){
        $result=\DB::table('time_setting')
            ->select('*')
            ->where('id',1)
            ->first();
        return $result;
    }

    public function getQuestionOptions($data=[],$first=false){
        $result=\DB::table('question_options')
            ->select('question_options.*','question_option_categories.name as category_name')
            ->leftJoin('question_option_categories','question_option_categories.id','question_options.category_id')
            ->where('question_options.deleted','N');
        if(!empty($data['id']))
            $result->where('question_options.id',$data['id']);
        if(!empty($data['category_id']))
            $result->where('question_options.category_id',$data['category_id']);
        if(!empty($data['ids']))
            $result->whereIn('question_options.id',$data['ids']);
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }

    public function saveQuestionOptions($data){
        if(!empty($data['question_option_id']))
            $question=QuestionOption::find($data['question_option_id']);
        else
            $question=new QuestionOption();
        if(!empty($data['category_id']))
            $question->category_id=$data['category_id'];
        if(!empty($data['option_name']))
            $question->option_name=$data['option_name'];
        if(!empty($data['deleted']))
            $question->deleted=$data['deleted'];
        $question->save();
        return $question;
    }

    public function getQuestionOptionCategories($data=[],$first=false){
        $result=\DB::table('question_option_categories')
            ->select('question_option_categories.*')
            ->where('deleted','N');
        if(!empty($data['id']))
            $result->where('id',$data['id']);
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }

    public function saveQuestionOptionCategories($data){
        if(!empty($data['question_option_categories_id']))
            $categories=QuestionOptionCategories::find($data['question_option_categories_id']);
        else
            $categories=new QuestionOptionCategories();
        if(!empty($data['name']))
            $categories->name=$data['name'];
        if(!empty($data['deleted']))
            $categories->deleted=$data['deleted'];
        $categories->save();
        return $categories;
    }

    public function saveQuestions($data){
        if(!empty($data['question_id']))
            $batch=Questions::find($data['question_id']);
        else
            $batch=new Questions();
        if(!empty($data['question']))
            $batch->question=$data['question'];
        if(!empty($data['is_active']))
            $batch->is_active=$data['is_active'];
        if(!empty($data['actual_answer']))
            $batch->actual_answer=$data['actual_answer'];
        if(!empty($data['actual_answer_id']))
            $batch->actual_answer_id=$data['actual_answer_id'];
        if(!empty($data['deleted']))
            $batch->deleted=$data['deleted'];
        $batch->save();
        return $batch;
    }

    public function getQuestions($data=[],$first=false){
        $result=\DB::table('questions')
            ->select('*')
            ->where('deleted','N');
        if(!empty($data['id']))
            $result->where('id',$data['id']);
        if(!empty($data['not_question_ids']))
            $result->whereNotIn('id',$data['not_question_ids']);
        if(!empty($data['from_id']) && !empty($data['to_id']))
            $result->whereBetween('id', [$data['from_id'], $data['to_id']]);
        if(!empty($data['is_active']))
            $result->where('is_active',$data['is_active']);
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }

    public function saveUserBatchLogin($data){
        if(!empty($data['user_batch_login_id']))
            $user_batch=UserBatchLogin::find($data['user_batch_login_id']);
        else
            $user_batch=new UserBatchLogin();
        if(!empty($data['user_id']))
            $user_batch->user_id=$data['user_id'];
        if(!empty($data['batch_id']))
            $user_batch->batch_id=$data['batch_id'];
        if(!empty($data['is_batch_finish']))
            $user_batch->is_batch_finish=$data['is_batch_finish'];
        if(!empty($data['date']))
            $user_batch->date=$data['date'];
        $user_batch->save();
        return $user_batch;
    }

    public function getUserBatchLogins($data=[],$first=false){
        $result=\DB::table('user_batch_login')
            ->select('user_batch_login.*','batch_list.name as batch_name','batch_list.from_question_id','batch_list.to_question_id',\DB::raw("CONCAT_WS(' ',users.first_name,users.last_name) as user_full_name"))
            ->leftJoin('users','users.id','user_batch_login.user_id')
            ->leftJoin('batch_list','batch_list.id','user_batch_login.batch_id');
        if(!empty($data['id']))
            $result->where('user_batch_login.id',$data['id']);
        if(!empty($data['user_id']))
            $result->where('user_batch_login.user_id',$data['user_id']);
        if(!empty($data['batch_id']))
            $result->where('user_batch_login.batch_id',$data['batch_id']);
        if(!empty($data['is_batch_finish']))
            $result->where('user_batch_login.is_batch_finish',$data['is_batch_finish']);
        if(!empty($data['date']))
            $result->where('user_batch_login.date',$data['date']);
        if(!empty($data['is_query']))
            return $result->orderBy('user_batch_login.created_at','DESC');
        if($first)
            return $result->first();
        if(!empty($data['limit']))
            $result->limit($data['limit']);
        $result=$result->orderBy('user_batch_login.created_at','DESC')->get();
        return $result;
    }

    public function saveUserQuestionAnswer($data){
        if(!empty($data['id']))
            $answer=UserQuestionAnswer::find($data['id']);
        else
            $answer=new UserQuestionAnswer();
        if(!empty($data['user_id']))
            $answer->user_id=$data['user_id'];
        if(!empty($data['user_batch_login_id']))
            $answer->user_batch_login_id=$data['user_batch_login_id'];
        if(!empty($data['question_id']))
            $answer->question_id=$data['question_id'];
        if(array_key_exists('option_ids',$data))
            $answer->option_ids=$data['option_ids'];
        if(array_key_exists('option_answer',$data))
            $answer->option_answer=$data['option_answer'];
        if(!empty($data['is_auto_answer']))
            $answer->is_auto_answer=$data['is_auto_answer'];
        if(!empty($data['is_edit_admin']))
            $answer->is_edit_admin=$data['is_edit_admin'];
        $answer->save();
        return $answer;
    }

    public function getUsersQuestionAnswer($data=[],$first=false){
        $result=\DB::table('users_question_answer')
            ->select('users_question_answer.*','questions.question')
            ->leftJoin('questions','questions.id','users_question_answer.question_id');
        if(!empty($data['id']))
            $result->where('users_question_answer.id',$data['id']);
        if(!empty($data['user_batch_login_id']))
            $result->where('users_question_answer.user_batch_login_id',$data['user_batch_login_id']);
        if(!empty($data['question_id']))
            $result->where('users_question_answer.question_id',$data['question_id']);
        if($first)
            return $result->first();
        $result=$result->get();
        return $result;
    }

}
