<?php


namespace App\Services;


use App\Models\Categories;
use App\Models\Items;
use App\Models\Languages;

class AdminService
{
    public function uploadFile($file,$custom_name="",$fix="")
    {
        $extension = $file->getClientOriginalExtension();
        $extension=strtolower($extension);
        //$name =  time() . '-'.uniqid(). '.'.$extension;
        if (!in_array($extension,['jpg','png','jpeg','JPG','PNG','JPEG','pdf','doc','docx','mp3','mp4','webp']))
            return '';
        if ($fix!="")
            $name=$custom_name.'.'.$extension;
        else if ($custom_name!="")
            $name=$custom_name.'-'.uniqid().'.'.$extension;
        else
            $name = time() . '-'.uniqid().'.'.$extension;
        if (in_array($extension,['jpg','png','jpeg'])){
            $file->move(public_path() . "/documents/", $name);
        }
        else {
            $file->move(public_path() . "/documents/", $name);
        }
        return asset('documents/'.$name);
    }

    public function saveLanguages($data){
        if(!empty($data['id']))
            $lan=Languages::find($data['id']);
        else
            $lan=Languages::firstOrCreate(['name'=>$data['name']]);
        if(!empty($data['name']))
            $lan->name=$data['name'];
        if(!empty($data['is_active']))
            $lan->is_active=$data['is_active'];
        $lan->save();
        return $lan;
    }

    public function getLanguages($data=[],$first=false){
        $result=\DB::table('languages')
            ->select('*');
        if(!empty($data['id']))
            $result->where('id',$data['id']);
        if(!empty($data['is_active']))
            $result->where('is_active',$data['is_active']);
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }

    public function saveCategories($data){
        if(!empty($data['id']))
            $category=Categories::find($data['id']);
        else
            $category=Categories::firstOrCreate(['language_id'=>$data['language_id'],'category_name'=>$data['category_name']]);
        if(!empty($data['language_id']))
            $category->language_id=$data['language_id'];
        if(!empty($data['category_name']))
            $category->category_name=$data['category_name'];
        if(!empty($data['icon_image']))
            $category->icon_image=$data['icon_image'];
        if(!empty($data['banner_image']))
            $category->banner_image=$data['banner_image'];
        if(!empty($data['is_active']))
            $category->is_active=$data['is_active'];
        $category->save();
        return $category;
    }

    public function getCategories($data=[],$first=false){
        $result=\DB::table('categories')
            ->select('*');
        if(!empty($data['language_id']))
            $result->where('language_id',$data['language_id']);
        if(!empty($data['id']))
            $result->where('id',$data['id']);
        if(!empty($data['is_active']))
            $result->where('is_active',$data['is_active']);
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }

    public function saveItems($data){
        if(!empty($data['id']))
            $category=Items::find($data['id']);
        else
            $category=Items::firstOrCreate(['category_id'=>$data['category_id'],'title'=>$data['title']]);
        if(!empty($data['category_id']))
            $category->category_id=$data['category_id'];
        if(!empty($data['title']))
            $category->title=$data['title'];
        if(!empty($data['icon_text']))
            $category->icon_text=$data['icon_text'];
        if(!empty($data['image']))
            $category->image=$data['image'];
        if(!empty($data['audio_url']))
            $category->audio_url=$data['audio_url'];
        if(!empty($data['is_active']))
            $category->is_active=$data['is_active'];
        if(!empty($data['is_deleted']))
            $category->is_deleted=$data['is_deleted'];
        $category->save();
        return $category;
    }

    public function getItems($data=[],$first=false){
        $result=\DB::table('items')
            ->select('*')
            ->where('is_deleted','N');
        if(!empty($data['category_id']))
            $result->where('category_id',$data['category_id']);
        if(!empty($data['id']))
            $result->where('id',$data['id']);
        if(!empty($data['is_active']))
            $result->where('is_active',$data['is_active']);
        if(!empty($data['is_count']))
            return $result->count();
        if($first)
            $result=$result->first();
        else
            $result=$result->get();
        return $result;
    }
}
