@extends('admin.layout')
@section('title','Batch list')
@section('page-css')
    <style>
        .list-inline-question {
            margin: 10px 0;
        }

        .list-inline-question li {
            display: inline-block;
            margin-right: 20px;
        }

        .list-inline-question li img {
            max-height: 40px;
            max-width: 40px;
            vertical-align: middle
        }

        .img-box {
        }

        .img-box img {
            max-width: 120px;
            max-height: 120px;
            vertical-align: middle
        }
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>Batch list</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">Batch List</h4>
                            </div>
                            <div>
                                <a href="{{route('get.add.batch')}}" class="btn btn-success add-batch-popup"><i class="fa fa-plus"></i> Add batch</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>Name</th>
                                    <th>From Question</th>
                                    <th>To Question</th>
                                    <th width="20%">Status</th>
                                    <th width="15%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @if(count($batches)>0)
                                    @foreach($batches as $key=>$row)
                                        <tr id="batch_{{$row->id}}">
                                            <td>{{$key+1}}</td>
                                            <td>{{$row->name}}</td>
                                            <td>{{$row->from_question}}</td>
                                            <td>{{$row->to_question}}</td>
                                            <td>
                                                @if($row->is_active=='Y')
                                                    <span class="badge badge-success">Active</span>
                                                @else
                                                    <span class="badge badge-danger">De Active</span>
                                                @endif
                                            </td>
                                            <td>
                                                <a href="{{route('get.add.batch',$row->id)}}" class="btn btn-primary add-batch-popup"><i class="fa fa-edit"></i> Edit</a>
                                                <a href="javascript:delete_record({{$row->id}},'batch')" class="btn btn-danger"><i class="fa fa-trash-o"></i> </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#datatable').dataTable({
                pageLength: 50
            });
            $(".add-batch-popup").colorbox({iframe: true, width: '800px', height: '400px'});
        })
    </script>
@stop

