@extends('admin.layout')
@section('title','Category list')
@section('page-css')
    <style>
        .list-inline-question{margin:10px 0;}
        .list-inline-question li{display: inline-block;margin-right: 20px;}
        .list-inline-question li img{max-height: 40px;max-width: 40px;vertical-align: middle}
        .img-box{}
        .img-box img{max-width: 120px;max-height: 120px;vertical-align: middle}
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <ul class="nav nav-tabs px-3 px-xl-5 nav-style-border custom-nav-box">
{{--            <li class="nav-item" role="presentation">--}}
{{--                <a href="javascript:void(0);" class="nav-link" style="color:#ff0000;font-size: 18px;line-height: 1;padding:15px 0 0;font-weight: bold">{{$language->name}}</a>--}}
{{--            </li>--}}
            @foreach($languages as $row)
                <li class="nav-item" role="presentation">
                    <a href="{{route('get.categories.list')}}?lan_id={{$row->id}}" class="nav-link @if($lan_id==$row->id)active @endif">{{$row->name}}</a>
                </li>
            @endforeach
        </ul>
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>{{$language->name}} Category list</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">{{$language->name}} Category</h4>
                            </div>
                            <div>
                                <a href="{{route('get.add.category')}}?lan_id={{$language->id}}" class="btn btn-sm btn-success add-category-popup"><i class="fa fa-plus"></i> Add Category</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>Name</th>
                                    <th>Icon</th>
                                    <th>banner bottom</th>
                                    <th>total items</th>
                                    <th width="8%">Status</th>
                                    <th width="10%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                    @if(count($categories)>0)
                                        <?php
                                            $adminService=new \App\Services\AdminService();
                                        ?>
                                        @foreach($categories as $key=>$row)
                                            <?php
                                                $total_items=$adminService->getItems(['category_id'=>$row->id,'is_count'=>true]);
                                            ?>
                                            <tr>
                                                <td>{{$key+1}}</td>
                                                <td>{{$row->category_name}}</td>
                                                <td>
                                                    <div class="img-box">
                                                        <img src="{{$row->icon_image}}">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="img-box">
                                                        <img src="{{$row->banner_image}}">
                                                    </div>
                                                </td>
                                                <td>{{$total_items}}</td>
                                                <td>
                                                    @if($row->is_active=='Y')
                                                        Active
                                                    @else
                                                        De Active
                                                    @endif
                                                </td>
                                                <td>
                                                    <a href="{{route('get.add.category',$row->id)}}" class="btn btn-sm btn-primary add-category-popup"><i class="fa fa-edit"></i> Edit</a>
                                                    <a href="{{route('get.items.list',$row->id)}}" class="btn btn-sm btn-success"><i class="fa fa-eye"></i> View</a>
                                                </td>
                                            </tr>
                                        @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#datatable').dataTable({});
            $(".add-category-popup").colorbox({iframe: true, width: '800px', height: '400px'});
        })
    </script>
@stop

