@extends('admin.layout')
@section('title','Command')
@section('page-css')
    <style>
        .list-inline-question {
            margin: 10px 0;
        }

        .list-inline-question li {
            display: inline-block;
            margin-right: 20px;
        }

        .list-inline-question li img {
            max-height: 40px;
            max-width: 40px;
            vertical-align: middle
        }

        .img-box {
        }

        .img-box img {
            max-width: 120px;
            max-height: 120px;
            vertical-align: middle
        }
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>Command</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">Options List</h4>
                            </div>
                        </div>
                        <div class="card-body">
                            <form id="form" name="frm" action="{{route('post.command.exec')}}" method="post">
                                <input type="hidden" name="_token" value="{{csrf_token()}}">
                                <div class="card-footer">
                                    <button type="submit" name="type" value="migration" class="btn btn-success">Migration</button>
                                    <button type="submit" name="type" value="cache-clear" class="btn btn-info">Cache Clear</button>
{{--                                    <button type="submit" name="type" value="composer-update" class="btn btn-danger">Composer Update</button>--}}
                                    <button type="submit" name="type" value="git-pull" class="btn btn-danger">Git Pull</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $("#form").validate({
                ignore:":not(:visible)",
                errorClass:"error error_preview",
                highlight: function(element) {
                    $(element).closest('.form-group').addClass('has-error has-danger');
                },
                unhighlight: function(element) {
                    $(element).closest('.form-group').removeClass('has-error has-danger');
                },
                rules: {
                    user_name:{
                        required:true
                    },
                    password:{
                        required:true
                    }
                },
                invalidHandler: function(event, validator) {
                    validator.numberOfInvalids()&&validator.errorList[0].element.focus();
                },
                submitHandler: function (form) {
                    $("#ajax_loader").show();
                    formHandler($(form),function () {
                        $("#ajax_loader").show();
                    },function (data) {
                        $("#ajax_loader").hide();
                        if (data.code===300){
                            swal.fire('Oops!',data.msg,'error');
                        }
                        else if(data.code===200){
                            swal.fire('Wow!',data.msg,'success');
                            // if (data.redirect && data.redirect!=="")
                            //     parent.window.location.href=data.redirect;
                            // else
                            //     parent.window.location.href=parent.window.location.href;
                        }
                    });
                    // Swal.fire({
                    //     title: 'Are you Sure To Submit ',
                    //     text: '',
                    //     icon: 'warning',
                    //     showCancelButton: true,
                    //     confirmButtonColor: '#3085d6',
                    //     cancelButtonColor: '#d33',
                    //     confirmButtonText: 'Yes',
                    //     cancelButtonText: 'No'
                    // }).then((result) => {
                    //     if(!result.isDismissed){
                    //         $("#ajax_loader").show();
                    //         formHandler($(form),function () {
                    //             $("#ajax_loader").show();
                    //         },function (data) {
                    //             if (data.code===300){
                    //                 $("#ajax_loader").hide();
                    //                 swal.fire('Oops!',data.msg,'error');
                    //             }
                    //             else if(data.code===200){
                    //                 if (data.redirect && data.redirect!=="")
                    //                     parent.window.location.href=data.redirect;
                    //                 else
                    //                     parent.window.location.href=parent.window.location.href;
                    //             }
                    //         });
                    //     }
                    // });
                    return false;
                }
            });
        })
    </script>
@stop

