@extends('admin.layout')
@section('title','dashboard')
@section('page-css')
@stop
@section('content')
<div class="ec-content-wrapper">
    <div class="content">
        <!-- Top Statistics -->
        <div class="row">
            <div class="col-xl-3 col-sm-6 p-b-15 lbl-card">
                <div class="card card-mini dash-card card-1">
                    <div class="card-body">
                        <h2 class="mb-1">{{count($batches)}}</h2>
                        <p>Batches</p>
                        <span class="mdi mdi-account-arrow-left"></span>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-sm-6 p-b-15 lbl-card">
                <div class="card card-mini dash-card card-2">
                    <div class="card-body">
                        <h2 class="mb-1">{{count($users)}}</h2>
                        <p>Users</p>
                        <span class="fa fa-users" style="padding-top: 10px;"></span>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-sm-6 p-b-15 lbl-card">
                <div class="card card-mini dash-card card-3">
                    <div class="card-body">
                        <h2 class="mb-1">{{count($questions)}}</h2>
                        <p>Total Questions</p>
                        <span class="fa fa-question" style="padding-top: 10px;"></span>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-sm-6 p-b-15 lbl-card">
                <div class="card card-mini dash-card card-4">
                    <div class="card-body">
                        <h2 class="mb-1">{{count($total_batch_logins)}}</h2>
                        <p>Total Batch Logins</p>
                        <span class="fa fa-list" style="padding-top: 10px;"></span>
                    </div>
                </div>
            </div>
        </div>


        <div class="row" style="display: none;">
            <div class="col-xl-8 col-md-12 p-b-15">
                <!-- User activity statistics -->
                <div class="card card-default" id="user-activity">
                    <div class="no-gutters">
                        <div>
                            <div class="card-header justify-content-between">
                                <h2>User Activity</h2>
                                <div class="date-range-report ">
                                    <span></span>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="userActivityContent">
                                    <div class="tab-pane fade show active" id="user" role="tabpanel">
                                        <canvas id="activity" class="chartjs"></canvas>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer d-flex flex-wrap bg-white border-top">
                                <a href="#" class="text-uppercase py-3">In-Detail Overview</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-4 col-md-12 p-b-15">
                <div class="card card-default">
                    <div class="card-header flex-column align-items-start">
                        <h2>Current Users</h2>
                    </div>
                    <div class="card-body">
                        <canvas id="currentUser" class="chartjs"></canvas>
                    </div>
                    <div class="card-footer d-flex flex-wrap bg-white border-top">
                        <a href="#" class="text-uppercase py-3">In-Detail Overview</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-12">
                <!-- New Customers -->
                <div class="card ec-cust-card card-table-border-none card-default">
                    <div class="card-header justify-content-between ">
                        <h2>New Batch Logins</h2>
{{--                        <div>--}}
{{--                            <button class="text-black-50 mr-2 font-size-20">--}}
{{--                                <i class="mdi mdi-cached"></i>--}}
{{--                            </button>--}}
{{--                            <div class="dropdown show d-inline-block widget-dropdown">--}}
{{--                                <a class="dropdown-toggle icon-burger-mini" href="#" role="button"--}}
{{--                                   id="dropdown-customar" data-bs-toggle="dropdown" aria-haspopup="true"--}}
{{--                                   aria-expanded="false" data-display="static">--}}
{{--                                </a>--}}
{{--                                <ul class="dropdown-menu dropdown-menu-right">--}}
{{--                                    <li class="dropdown-item"><a href="#">Action</a></li>--}}
{{--                                    <li class="dropdown-item"><a href="#">Another action</a></li>--}}
{{--                                    <li class="dropdown-item"><a href="#">Something else here</a></li>--}}
{{--                                </ul>--}}
{{--                            </div>--}}
{{--                        </div>--}}
                    </div>
                    <div class="card-body pt-0 pb-15px">
                        <table class="table table-responsive">
                            <tbody>
                            @if($batch_logins)
                                @foreach($batch_logins as $batch_login)
                                    <tr>
                                        <td>
                                            <div class="media">
                                                <div class="media-image mr-3 rounded-circle">
                                                    <a href="{{route('get.user.question.answer')}}?user_batch_login_id={{$batch_login->id}}">
                                                        <img
                                                            class="profile-img rounded-circle w-45"
                                                            src="assets/img/user/u1.jpg"
                                                            alt="customer image">
                                                    </a>
                                                </div>
                                                <div class="media-body align-self-center">
                                                    <a href="{{route('get.user.question.answer')}}?user_batch_login_id={{$batch_login->id}}">
                                                        <h6 class="mt-0 text-dark font-weight-medium">{{$batch_login->user_full_name}}</h6>
                                                    </a>
{{--                                                    <small></small>--}}
                                                </div>
                                            </div>
                                        </td>
                                        <td>{{$batch_login->batch_name}}</td>
                                        <td>
                                            @if($batch_login->is_batch_finish=='Y')
                                                <span class="badge badge-success">Finished</span>
                                            @else
                                                <span class="badge badge-danger">Holding</span>
                                            @endif
                                        </td>
                                        <td class="text-dark d-none d-md-block">{{$batch_login->created_at}}</td>
                                        <td>
                                            <a href="{{route('get.user.question.answer')}}?user_batch_login_id={{$batch_login->id}}" class="btn btn-primary"><i class="fa fa-eye"></i> View</a>
                                        </td>
                                    </tr>
                                @endforeach
                            @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div> <!-- End Content -->
</div>
@stop
@section('page-js')
@stop
