@extends('admin.layout')
@section('title','Batch Login List')
@section('page-css')
    <style>
        .list-inline-question {
            margin: 10px 0;
        }

        .list-inline-question li {
            display: inline-block;
            margin-right: 20px;
        }

        .list-inline-question li img {
            max-height: 40px;
            max-width: 40px;
            vertical-align: middle
        }

        .img-box {
        }

        .img-box img {
            max-width: 120px;
            max-height: 120px;
            vertical-align: middle
        }
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="row">
                <div class="col-xl-12">
                    <form method="post" action="{{route('post.export.batch.excel')}}">
                        <input type="hidden" name="_token" value="{{csrf_token()}}">
                        <div class="card card-default">
                            <div class="card-header justify-content-between align-items-center ">
                                <div class="card-title">
                                    <h4 class="mb-0 mt-2">Search Batch</h4>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Select Batch</label>
                                            <select class="form-control" name="batch_id" id="batch_id">
                                                @foreach($batches as $batch)
                                                    <option value="{{$batch->id}}" @if(!empty($batch_id) && $batch_id==$batch->id) selected @endif>{{$batch->name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Batch Status</label>
                                            <select class="form-control" name="is_batch_finish" id="is_batch_finish">
                                                <option value="">All</option>
                                                <option value="Y">Finished</option>
                                                <option value="N">Holding</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Select Date</label>
                                           <input type="date" name="date" id="date" class="form-control">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer">
                                <a href="javascript:void(0);" class="btn btn-primary" id="search"><i class="fa fa-search"></i> Search</a>
                                <a href="javascript:void(0);" class="btn btn-info" id="search"><i class="fa fa-refresh"></i> Refresh</a>
                                <button type="submit" href="javascript:void(0);" class="btn btn-success" id="search"><i class="fa fa-download"></i> Download Excel </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div> <!-- End Content -->
        <div class="content">
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">Batch Login List</h4>
                            </div>
                            {{--                            <div>--}}
                            {{--                                <a href="{{route('get.add.question')}}" class="btn btn-success add-batch-popup"><i class="fa fa-plus"></i> Add Questions</a>--}}
                            {{--                            </div>--}}
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered table-responsive" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>User Name</th>
                                    <th>Batch Name</th>
                                    <th>Batch Status</th>
                                    <th>Date</th>
                                    <th width="15%">Action</th>
                                </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            var table=$('#datatable').DataTable({
                "stripeClasses": [],
                processing: true,
                serverSide: true,
                searching:false,
                ajax: {
                    url:'{{ route('get.user.batch.login.list.datatable') }}',
                    data: function (d) {
                        d.batch_id = $('#batch_id').val(),
                            d.date = $('#date').val(),
                            d.is_batch_finish=$('#is_batch_finish').val()
                    }
                },
                search: {
                    "caseInsensitive": true
                },
                // "order": [[ 0, "desc" ]],
                ordering:false,
                columnDefs: [ { type: 'date', 'targets': [0] } ],
                pageLength:50,
                columns: [
                    { data: 'DT_RowIndex', name: 'DT_RowIndex', orderable: false, searchable: false },
                    { data: 'user_full_name', name:'user_full_name'},
                    { data: 'batch_name', name:'batch_name'},
                    { data: 'batch_status', name:'batch_status'},
                    { data: 'date', name:'date'},
                    { data: 'action', name: 'action', orderable: false, searchable: false,class:'text-right'}
                ],
                initComplete:function( settings, json){
                    $('[data-toggle="tooltip"]').tooltip();
                },
                fnDrawCallback: function( oSettings ) {
                    $('[data-toggle="tooltip"]').tooltip();
                }
            });
            $(".add-batch-popup").colorbox({iframe: true, width: '800px', height: '400px'});

            trigger('#search',function (){
                table.draw();
            })
        })
    </script>
@stop

