@extends('admin.iframe.iframe-layout')
@section('title','add language')
@section('content')
    <div class="card card-default">
        <form action="{{route('post.add.category')}}" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="{{csrf_token()}}">
            <input type="hidden" name="id" value="{{!empty($category)?$category->id:0}}">
            <div class="card-header">
                <h4>{{!empty($category)?'Edit':'Add'}} Category</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Language</label>
                            <select name="language_id" class="form-control">
                                @foreach($languages as $row)
                                    <option value="{{$row->id}}" @if(!empty($category) && $category->language_id==$row->id) selected @elseif(!empty($lan_id) && $lan_id==$row->id) selected @endif>{{$row->name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Category Name</label>
                            <input class="form-control" type="text" name="category_name" value="{{!empty($category)?$category->category_name:''}}">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Icon image</label>
                            <input class="form-control" type="file" name="icon_image"/>
                        </div>
                        @if(!empty($category) && !empty($category->icon_image))
                            <div class="img-box">
                                <img src="{{$category->icon_image}}" height="180" width="180">
                            </div>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Banner bottom image</label>
                            <input class="form-control" type="file" name="banner_image"/>
                        </div>
                        @if(!empty($category) && !empty($category->banner_image))
                            <div class="img-box">
                                <img src="{{$category->banner_image}}" height="180" width="180">
                            </div>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" @if(!empty($category) && $category->is_active=='Y') selected @endif>Active</option>
                                <option value="N" @if(!empty($category) && $category->is_active=='N') selected @endif>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
@stop
@section('page-js')
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    option_answer: {
                        required: false,
                    },

                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
@stop
