@extends('admin.iframe.iframe-layout')
@section('title','add language')
@section('content')
    <div class="card card-default">
        <form action="{{route('post.add.item')}}" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="{{csrf_token()}}">
            <input type="hidden" name="id" value="{{!empty($item)?$item->id:0}}">
            <input type="hidden" name="category_id" value="{{$category_id}}">
            <div class="card-header">
                <h4>{{!empty($item)?'Edit':'Add'}} {{!empty($category)?$category->category_name:'Items'}}</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Title</label>
                            <input class="form-control" type="text" name="title" value="{{!empty($item)?$item->title:''}}">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Audio</label>
                            <input class="form-control" type="file" name="audio_url"/>
                        </div>
                        @if(!empty($item) && !empty($item->audio_url))
                            <audio controls><source src="{{$item->audio_url}}" type="audio/mpeg"></audio>
                        @endif
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Image</label>
                            <input class="form-control" type="file" name="image"/>
                        </div>
                        @if(!empty($item) && !empty($item->image))
                            <div class="img-box">
                                <img src="{{$item->image}}" height="180" width="180">
                            </div>
                        @endif
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Text</label>
                            <input class="form-control" type="text" name="icon_text" value="{{!empty($item)?$item->icon_text:''}}">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" @if(!empty($item) && $item->is_active=='Y') selected @endif>Active</option>
                                <option value="N" @if(!empty($item) && $item->is_active=='N') selected @endif>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
@stop
@section('page-js')
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    option_answer: {
                        required: false,
                    },

                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
@stop
