@extends('admin.iframe.iframe-layout')
@section('title','add language')
@section('content')
    <div class="card card-default">
        <form action="{{route('post.add.language')}}" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="{{csrf_token()}}">
            <input type="hidden" name="id" value="{{!empty($language)?$language->id:0}}">
            <div class="card-header">
                <h4>{{!empty($language)?'Edit':'Add'}} language</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>language name</label>
                            <input class="form-control" type="text" name="name" value="{{!empty($language)?$language->name:''}}">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" @if(!empty($language) && $language->is_active=='Y') selected @endif>Active</option>
                                <option value="N" @if(!empty($language) && $language->is_active=='N') selected @endif>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
@stop
@section('page-js')
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    name: {
                        required: true,
                    },
                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
@stop
