@extends('admin.iframe.iframe-layout')
@section('title','Add Question')
@section('content')
    <div class="card card-default">
        <form action="{{route('post.add.question')}}" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="{{csrf_token()}}">
            <input type="hidden" name="question_id" value="{{!empty($question)?$question->id:0}}">
            <input type="hidden" name="actual_answer" id="actual_answer" value="{{!empty($question)?$question->actual_answer:0}}">
            <div class="card-header">
                <h4>{{!empty($question)?'Edit':'Add'}} Question</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Question</label>
                            <textarea name="question" cols="5" rows="5" class="form-control">{{$question?$question->question:''}}</textarea>
                        </div>
                    </div>
                    <div class="com-sm-12">
                        <div class="form-group">
                            <label>Actual</label>
                            <select name="actual_answer_id" id="actual_answer_id" class="form-control">
                                @foreach($options as $option)
                                    <option value="{{$option->id}}" @if(!empty($question) && $question->actual_answer_id==$option->id)) selected @endif>{{$option->option_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" @if(!empty($question) && $question->is_active=='Y') selected @endif>Active</option>
                                <option value="N" @if(!empty($question) && $question->is_active=='N') selected @endif>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
@stop
@section('page-js')
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    question: {
                        required: true,
                    },
                },
                submitHandler: function (form) {
                    $('#actual_answer').val($('#actual_answer_id option:selected').text());
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
@stop
