@extends('admin.iframe.iframe-layout')
@section('title','Edit Question Answer')
@section('content')
    <div class="card card-default">
        <form action="{{route('post.user.question.answer.edit')}}" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="{{csrf_token()}}">
            <input type="hidden" name="id" value="{{!empty($question)?$question->id:0}}">
            <input type="hidden" name="is_edit_admin" value="Y">
            <div class="card-header">
                <h4>Edit Question Answer</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Question</label>
                            <input class="form-control" type="text" name="question" value="{{!empty($question)?$question->question:''}}" readonly>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Option Answer</label>
                            <select name="option_ids[]" id="option_ids" class="form-control" multiple>
                                <?php
                                    $option_ids=[];
                                    if(!empty($question->option_ids)){
                                        $option_ids=explode(',',$question->option_ids);
                                    }
                                ?>
                                @foreach($options as $option)
                                    <option value="{{$option->id}}" @if(in_array($option->id,$option_ids)) selected @endif>{{$option->option_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
@stop
@section('page-js')
    <script>
        $(document).ready(function (){
            $('#option_ids').select2({});
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    option_ids: {
                        required: true,
                        selected:true
                    },

                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
@stop
