@extends('admin.layout')
@section('title','Items list')
@section('page-css')
    <style>
        .list-inline-question{margin:10px 0;}
        .list-inline-question li{display: inline-block;margin-right: 20px;}
        .list-inline-question li img{max-height: 40px;max-width: 40px;vertical-align: middle}
        .img-box{}
        .img-box img{max-width: 120px;max-height: 120px;vertical-align: middle}
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>{{$category->category_name}} list</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">{{$category->category_name}}</h4>
                            </div>
                            <div>
                                <a href="{{route('get.add.items')}}?category_id={{$category->id}}" class="btn btn-sm btn-success add-items-popup"><i class="fa fa-plus"></i> Add items</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>Title</th>
                                    <th>Audi</th>
                                    <th>Image</th>
                                    <th>Text</th>
                                    <th width="8%">Status</th>
                                    <th width="10%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @if(count($items)>0)
                                    @foreach($items as $key=>$row)
                                        <tr id="items_{{$row->id}}">
                                            <td>{{$key+1}}</td>
                                            <td>{{$row->title}}</td>
                                            <td>
                                                @if(!empty($row->audio_url))
                                                    <audio controls><source src="{{$row->audio_url}}" type="audio/mpeg"></audio>
                                                @endif
                                            </td>
                                            <td>
                                                @if(!empty($row->image))
                                                    <div class="img-box">
                                                        <img src="{{$row->image}}">
                                                    </div>
                                                @endif
                                            </td>
                                            <td>{{$row->icon_text}}</td>
                                            <td>
                                                @if($row->is_active=='Y')
                                                    Active
                                                @else
                                                    De Active
                                                @endif
                                            </td>
                                            <td>
                                                <a href="{{route('get.add.items',$row->id)}}?category_id={{$row->category_id}}" class="btn btn-sm btn-primary add-items-popup"><i class="fa fa-edit"></i> Edit</a>&nbsp;<a href="javascript:delete_record('{{$row->id}}','items')" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#datatable').dataTable({});
            $(".add-items-popup").colorbox({iframe: true, width: '800px', height: '600px'});
        })
    </script>
@stop

