@extends('admin.layout')
@section('title','Language list')
@section('page-css')
    <style>
        .list-inline-question{margin:10px 0;}
        .list-inline-question li{display: inline-block;margin-right: 20px;}
        .list-inline-question li img{max-height: 40px;max-width: 40px;vertical-align: middle}
        .img-box{}
        .img-box img{max-width: 120px;max-height: 120px;vertical-align: middle}
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>language list</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">language</h4>
                            </div>
                            <div>
                                <a href="/add-language/" class="btn btn-sm btn-success add-language-popup"><i class="fa fa-plus"></i> Add language</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>Language</th>
                                    <th width="8%">Status</th>
                                    <th width="10%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @if(count($languages)>0)
                                @foreach($languages as $key=>$row)
                                <tr>
                                    <td>{{$key+1}}</td>
                                    <td>{{$row->name}}</td>
                                    <td>
                                        @if($row->is_active=='Y')
                                            Active
                                        @else
                                            De Active
                                        @endif
                                    </td>
                                    <td>
                                        <a href="{{route('get.add.language',$row->id)}}" class="btn btn-sm btn-primary add-language-popup"><i class="fa fa-edit"></i> Edit</a>
                                    </td>
                                </tr>
                                @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#datatable').dataTable({});
            $(".add-language-popup").colorbox({iframe: true, width: '800px', height: '400px'});
        })
    </script>
@stop

