@extends('admin.layout')
@section('title','Profile')
@section('page-css')
@stop
@section('content')
    <div class="ec-content-wrapper">
        <form id="create-form" action="{{route('post.my.profile')}}" method="post">
            <input type="hidden" name="_token" value="{{csrf_token()}}">
            <div class="content">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="card ec-cust-card card-table-border-none card-default mb-4">
                            <div class="card-header justify-content-between ">
                                <h2>My profile</h2>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>First Name</label>
                                            <input type="text" class="form-control" name="first_name" value="{{auth()->user()->first_name}}" disabled>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label>Last Name</label>
                                            <input type="text" class="form-control" name="first_name" value="{{auth()->user()->last_name}}" disabled>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label>Email</label>
                                            <input type="email" class="form-control" value="{{auth()->user()->email}}" disabled>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="card ec-cust-card card-table-border-none card-default">
                            <div class="card-header justify-content-between ">
                                <h2>Change Password</h2>
                            </div>
                            <div class="card-body">
                                <form>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>Current password</label>
                                                <input type="text" name="current_password" id="current_password" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>New Password</label>
                                                <input type="text" name="new_password" id="new_password" class="form-control">
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label>re enter Password</label>
                                                <input type="password" name="conform_password" id="conform_password" class="form-control">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="text-center mt-4">
                                        <button type="submit" class="btn btn-success">Submit</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
@stop
@section('page-js')
    <script>
        $('#create-form').validate({
            lang: 'it',
            errorClass: 'error error_preview',
            highlight: function (element, errorClass, validClass) {
            },
            rules: {
                current_password: {
                    required: true,
                    minlength: 6,
                    remote: {
                        url: '{{route('check.password')}}',
                        type: 'post',
                        data: {
                            '_token':'{{csrf_token()}}',
                        }

                    }
                },
                new_password: {
                    required: true,
                    minlength: 6
                },
                conform_password: {
                    required: true,
                    minlength: 6,
                    equalTo: '[name="new_password"]'
                },
            },
            messages: {
                current_password:{
                    remote:"Current Password are not match"
                }
            },
            submitHandler: function (form) {
                formHandler($(form), function () {
                        $('#ajax_loader').show();
                    },
                    function (data) {
                        $("#ajax_loader").hide();
                        if (data.code===300){
                            swal( "Attenzione" ,  data.msg ,  "warning" )
                        }
                        else if(data.code===200){
                            if (data.redirect && data.redirect!==""){
                                window.location.href=data.redirect;
                            }
                            else{
                                Swal.fire("Congratulations", data.msg, "success");
                            }
                        }
                    })
            }
        });
    </script>
@stop
