@extends('admin.layout')
@section('title','Options list')
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>Options list</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">Options List</h4>
                            </div>
                            <div>
                                <a href="{{route('get.add.question.option')}}" class="btn btn-success add-option-popup"><i class="fa fa-plus"></i> Add Option</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>Name</th>
                                    <th>Category Name</th>
                                    <th width="15%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @if(count($options)>0)
                                    @foreach($options as $key=>$row)
                                        <tr id="question_option_{{$row->id}}">
                                            <td>{{$key+1}}</td>
                                            <td>{{$row->option_name}}</td>
                                            <td>{{$row->category_name}}</td>
                                            <td>
                                                <a href="{{route('get.add.question.option',$row->id)}}" class="btn btn-primary add-option-popup"><i class="fa fa-edit"></i> Edit</a>
                                                <a href="javascript:delete_record({{$row->id}},'question_option')" class="btn btn-danger"><i class="fa fa-trash-o"></i> </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#datatable').dataTable({
                pageLength: 50
            });
            $(".add-option-popup").colorbox({iframe: true, width: '800px', height: '400px'});
        })
    </script>
@stop

