@extends('admin.layout')
@section('title','Time Setting')
@section('page-css')
    <style>
        .list-inline-question {
            margin: 10px 0;
        }

        .list-inline-question li {
            display: inline-block;
            margin-right: 20px;
        }

        .list-inline-question li img {
            max-height: 40px;
            max-width: 40px;
            vertical-align: middle
        }

        .img-box {
        }

        .img-box img {
            max-width: 120px;
            max-height: 120px;
            vertical-align: middle
        }
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>Time Setting</h1>
                </div>
            </div>
            <form action="{{route('post.setting')}}" method="post" id="form" enctype="multipart/form-data">
                <input type="hidden" name="_token" value="{{csrf_token()}}">
                <input type="hidden" name="id" value="{{!empty($setting)?$setting->id:0}}">
                <div class="row">
                    <div class="col-xl-6 col-sm-12 col-12">
                        <div class="card card-default">
                            <div class="card-header justify-content-between align-items-center ">
                                <div class="card-title">
                                    <h4 class="mb-0 mt-2">Time Setting</h4>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-sm-12 col-12">
                                        <div class="form-group">
                                            <label>Question Change Time <small style="color:red;">(In Seconds)</small></label>
                                            <input type="number" name="question_change_time" class="form-control" placeholder="In Seconds" value="{{$setting?$setting->question_change_time:''}}">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label>Break Hold Time <small style="color:red;">(In Seconds)</small></label>
                                            <input type="number" name="break_hold_time" class="form-control" placeholder="In Seconds" value="{{$setting?$setting->break_hold_time:''}}">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label>After Each Break Time <small style="color:red;">(In Seconds)</small></label>
                                            <input type="number" name="after_each_break_time" class="form-control" placeholder="In Seconds" value="{{$setting?$setting->after_each_break_time:''}}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer text-center">
                                <button type="submit" class="btn btn-success">Submit</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function () {
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    question_change_time: {
                        required: true,
                    },
                    break_hold_time: {
                        required: true,
                    },
                    after_each_break_time: {
                        required: true,
                    },
                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        })
    </script>
@stop

