@extends('admin.layout')
@section('title','User Question Answer')
@section('page-css')
    <style>
        .list-inline-question {
            margin: 10px 0;
        }

        .list-inline-question li {
            display: inline-block;
            margin-right: 20px;
        }

        .list-inline-question li img {
            max-height: 40px;
            max-width: 40px;
            vertical-align: middle
        }

        .img-box {
        }

        .img-box img {
            max-width: 120px;
            max-height: 120px;
            vertical-align: middle
        }
    </style>
@stop
@section('content')
    <div class="ec-content-wrapper">
        <div class="content">
            <div class="breadcrumb-wrapper d-flex align-items-center justify-content-between">
                <div>
                    <h1>User Question Answer</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-12">
                    <div class="card card-default">
                        <div class="card-header justify-content-between align-items-center ">
                            <div class="card-title">
                                <h4 class="mb-0 mt-2">User : {{$user_batch_login->user_full_name}} <br>Batch : {{$user_batch_login->batch_name}}</h4>
                            </div>
                            {{--                            <div>--}}
                            {{--                                <a href="{{route('get.add.question')}}" class="btn btn-success add-batch-popup"><i class="fa fa-plus"></i> Add Questions</a>--}}
                            {{--                            </div>--}}
                        </div>
                        <div class="card-body">
                            <table class="table table-bordered" id="datatable">
                                <thead>
                                <tr>
                                    <th width="4%">No.</th>
                                    <th>Question</th>
                                    <th>Answer</th>
                                    <th>Date Time</th>
                                    <th width="15%">Action</th>
                                </tr>
                                </thead>
                                <tbody>
                                @if(count($user_questions)>0)
                                    @foreach($user_questions as $key=>$row)
                                        <tr id="question_{{$row->id}}">
                                            <td>{{$key+1}}</td>
                                            <td>{{$row->question}}</td>
                                            <td>
                                                @if($row->is_auto_answer=='Y')
                                                    Default
                                                @elseif(empty($row->option_answer))
                                                    Default
                                                @else
                                                    {{$row->option_answer}}
                                                @endif
                                                @if($row->is_edit_admin=='Y')
                                                    <p class="" style="color: red;">Edited By Admin</p>
                                                @endif
                                            </td>
                                            <td>{{$row->created_at}}</td>
                                            <td>
                                                <a href="{{route('get.user.question.answer.edit',$row->id)}}" class="btn btn-primary btn-sm question-answer-edit-popup"><i class="fa fa-edit"></i> Edit</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- End Content -->
    </div>
@stop
@section('page-js')
    <script type="text/javascript">
        $(document).ready(function(){
            $('#datatable').dataTable({
                pageLength: 50
            });
            $(".question-answer-edit-popup").colorbox({iframe: true, width: '800px', height: '400px'});
        })
    </script>
@stop

