<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="Kids App">

    <title>Kids App</title>

    <!-- GOOGLE FONTS -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;600;700;800&family=Poppins:wght@300;400;500;600;700;800;900&family=Roboto:wght@400;500;700;900&display=swap" rel="stylesheet">

    <link href="https://cdn.materialdesignicons.com/4.4.95/css/materialdesignicons.min.css" rel="stylesheet" />

    <!-- Ekka CSS -->
    <link id="ekka-css" href="{{asset('assets/css/ekka.css')}}" rel="stylesheet" />

@yield('page-css')
<!-- FAVICON -->
    <link href="{{asset('assets/img/favicon.png')}}" rel="shortcut icon" />
</head>
<body class="sign-inup" id="body">
<div id="ajax_loader" class="ajex_loader fixed" style="display: none;"></div>
<div class="container d-flex align-items-center justify-content-center form-height-login pt-24px pb-24px">
    <div class="row justify-content-center">
        <div class="col-lg-6 col-md-10">
            <div class="card">
                <div class="card-header bg-primary">
                    <div class="ec-brand">
                        <a href="#" title="Kids app">
                            <img class="ec-brand-icon" src="{{asset('assets/img/logo/logo-login.png')}}" alt="" />
                        </a>
                    </div>
                </div>
                <div class="card-body p-5">
                    <h4 class="text-dark mb-5">Sign In</h4>
                    <form action="{{route('post.login')}}" method="post" id="login-form">
                        <input type="hidden" name="_token" value="{{csrf_token()}}">
                        <div class="row">
                            <div class="form-group col-md-12 mb-4">
                                <input type="email" class="form-control" id="email" name="email" placeholder="Email" required>
                            </div>

                            <div class="form-group col-md-12 ">
                                <input type="password" class="form-control" id="password" name="password" placeholder="Password" required>
                            </div>
                            @if(session()->has('error'))
                            <div class="form-group ">
                                <p class="error form-text with-errors text-center" style="color: red;">{{ session()->get('error') }}</p>
                            </div>
                            @endif
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-primary btn-block mb-4">Sign In</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{asset('assets/plugins/jquery/jquery-3.5.1.min.js')}}"></script>
<script src="{{asset('assets/js/jquery-custom.js')}}"></script>
<script src="{{asset('assets/js/bootstrap.bundle.min.js')}}"></script>
<script src="{{asset('assets/plugins/jquery-validator/dist/jquery.validate.min.js')}}"></script>
<script src="{{asset('assets/plugins/jquery-validator/dist/additional-methods.min.js')}}"></script>
<script src="{{asset('assets/plugins/sweetalert2/sweetalert2.all.min.js')}}"></script>
<script src="{{asset('assets/plugins/sweetalert2/polyfill.js')}}"></script>
<script>
    $(document).ready(function (){
        $('#login-form').validate({
            lang: 'it',
            errorClass: 'error error_preview',
            highlight: function (element, errorClass, validClass) {
            },
            rules: {
                email: {
                    required: true,
                    email: true
                },
                password: {
                    required: true,
                    minlength: 6
                },
            },
            submitHandler: function (form) {
                formHandler($(form), function () {
                        $('#ajax_loader').show();
                    },
                    function (data) {
                        if (data.code===300){
                            $("#ajax_loader").hide();
                            Swal.fire("Oops", data.msg, "error")
                        }
                        else if(data.code===200){
                            if (data.redirect!==""){
                                window.location.href=data.redirect;
                            }
                            else{
                                parent.window.location.href=parent.window.location.href;
                            }
                        }
                    })
            }
        });
    });
</script>
</body>
</html>
