<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('test',function (){
    $adminService=new \App\Services\AdminService();
    for($i=1;$i<=500;$i++){
        $question='Unit 00'.$i;
        $adminService->saveQuestions(['question'=>$question,'is_active'=>'Y']);
    }
});

Route::get('/','Auth\LoginController@getLogin')->name('login');
Route::get('login','Auth\LoginController@getLogin')->name('login');
Route::post('login','Auth\LoginController@postLogin')->name('post.login');
Route::get('dashboard','Admin\AdminController@getHome')->name('get.dashboard')->middleware(['auth']);

Route::group(['middleware'=>['auth']],function (){
    Route::get('command-exec',function(){
        return view('admin.command-file');
    });
    Route::post('command-exec',function(\Illuminate\Http\Request $request){
        $data=$request->all();
        try{
            if(!empty($data['type'])){
                $msg='';
                if($data['type']=='migration'){
                    Artisan::call('migrate');
                    $msg='Migration';
                }else if($data['type']=='cache-clear'){
                    Artisan::call('cache:clear');
                    Artisan::call('config:cache');
                    $msg='Cache Clear';
                }else if($data['type']=='git-pull'){
                    $msg = shell_exec("git pull 2>&1");
                }else if($data['type']=='composer-update'){

                }
            }
            return response()->json(['code'=>200,'msg'=>$msg.' Success']);
        }catch (\Exception $e){
            return response()->json(['code'=>300,'msg'=>$data['type'].' '.$e->getMessage()]);
        }
    })->name('post.command.exec');

    Route::get('dashboard', 'Admin\AdminController@getDashboard')->name('get.admin.dashboard');


    //users
    Route::get('get-users','Admin\UserController@getUsers')->name('get.users');
    Route::get('get-add-user/{id?}','Admin\UserController@getAddUser')->name('get.add.user');
    Route::post('post-add-user','Admin\UserController@postAddUser')->name('post.add.user');

    //batch
    Route::get('batch-list','Admin\AdminController@getBatchList')->name('get.batch.list');
    Route::get('add-batch/{id?}','Admin\AdminController@getAddBatch')->name('get.add.batch');
    Route::post('add-batch','Admin\AdminController@postAddBatch')->name('post.add.batch');

    //user batch logins
    Route::get('user-batch-login-list','Admin\AdminController@getUserBatchLoginList')->name('get.user.batch.login.list');
    Route::get('user-batch-login-list-datatable','Admin\AdminController@getUserBatchLoginListDatatable')->name('get.user.batch.login.list.datatable');
    Route::get('user-question-answer','Admin\AdminController@getUsersQuestionAnswers')->name('get.user.question.answer');
    Route::get('user-question-answer-edit/{id}','Admin\AdminController@getUserQuestionAnswerEdit')->name('get.user.question.answer.edit');
    Route::post('post-user-question-answer-edit','Admin\AdminController@postUserQuestionAnswerEdit')->name('post.user.question.answer.edit');

    //question options
    Route::get('question-option-list','Admin\AdminController@getQuestionOptionList')->name('get.question.option.list');
    Route::get('add-question-option/{id?}','Admin\AdminController@getAddQuestionOption')->name('get.add.question.option');
    Route::post('post-add-question-option','Admin\AdminController@postAddQuestionOption')->name('post.add.question.option');

    //question option categories
    Route::get('question-question-option-categories','Admin\AdminController@questionOptionCategories')->name('question.option.categories');
    Route::get('add-question-question-option-categories/{id?}','Admin\AdminController@addQuestionOptionCategories')->name('add.question.option.categories');
    Route::post('post-add-question-question-option-categories','Admin\AdminController@postAddQuestionOptionCategories')->name('post.add.question.option.categories');

    //question
    Route::get('question-list','Admin\AdminController@getQuestionsList')->name('get.question.list');
    Route::get('add-question/{id?}','Admin\AdminController@getAddQuestion')->name('get.add.question');
    Route::post('add-question','Admin\AdminController@postAddQuestion')->name('post.add.question');

    //setting
    Route::get('setting','Admin\AdminController@getSetting')->name('get.setting');
    Route::post('setting','Admin\AdminController@postSetting')->name('post.setting');

    //export excel
    Route::get('get-export-batch-view','Admin\AdminController@getExportBatch')->name('get.export.batch');
    Route::get('export-batch-excel','Admin\ExportController@exportUserBatchLogin')->name('get.export.batch.excel');
    Route::post('export-batch-excel','Admin\ExportController@exportUserBatchLogin')->name('post.export.batch.excel');

    Route::post('delete-all-record','Admin\DeleteController@deleteRecord')->name('delete.all.record');

    Route::post('check-password','Admin\UserController@checkPassword')->name('check.password');
    Route::get('/my-profile/', 'Admin\UserController@getMyProfile')->name('get.my.profile');
    Route::post('edit-profile','Admin\UserController@postMyProfile')->name('post.my.profile');

    Route::get('logout','Auth\LoginController@logout')->name('logout');
});




