<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/','Auth\LoginController@getLogin')->name('login');
Route::get('login','Auth\LoginController@getLogin')->name('login');
Route::post('login','Auth\LoginController@postLogin')->name('post.login');
Route::get('dashboard','Admin\AdminController@getHome')->name('get.dashboard')->middleware(['auth']);

Route::group(['middleware'=>['auth']],function (){
    Route::get('dashboard', 'Admin\AdminController@getDashboard')->name('get.admin.dashboard');

    //language
    Route::get('languages','Admin\AdminController@getLanguageList')->name('get.language.list');
    Route::get('add-language/{id?}','Admin\AdminController@getAddLanguage')->name('get.add.language');
    Route::post('add-language','Admin\AdminController@postAddLanguage')->name('post.add.language');

    //category
    Route::get('categories','Admin\AdminController@getCategoriesList')->name('get.categories.list');
    Route::get('add-category/{id?}','Admin\AdminController@getAddCategory')->name('get.add.category');
    Route::post('add-category','Admin\AdminController@postAddCategory')->name('post.add.category');

    //items
    Route::get('items-list/{category_id}','Admin\AdminController@getItemsList')->name('get.items.list');
    Route::get('add-items/{id?}','Admin\AdminController@getAddItems')->name('get.add.items');
    Route::post('add-item','Admin\AdminController@postAddItem')->name('post.add.item');

    Route::post('delete-all-record','Admin\DeleteController@deleteRecord')->name('delete.all.record');

    Route::post('check-password','Admin\UserController@checkPassword')->name('check.password');
    Route::get('/my-profile/', 'Admin\UserController@getMyProfile')->name('get.my.profile');
    Route::post('edit-profile','Admin\UserController@postMyProfile')->name('post.my.profile');

    Route::get('logout','Auth\LoginController@logout')->name('logout');
});




