<?php $__env->startSection('title','Add Batch'); ?>
<?php $__env->startSection('page-css'); ?>
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" />
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-default">
        <form action="<?php echo e(route('post.add.batch')); ?>" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" name="batch_id" value="<?php echo e(!empty($batch)?$batch->id:0); ?>">
            <div class="card-header">
                <h4><?php echo e(!empty($batch)?'Edit':'Add'); ?> Batch</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Batch name</label>
                            <input class="form-control" type="text" name="name" value="<?php echo e(!empty($batch)?$batch->name:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" <?php if(!empty($batch) && $batch->is_active=='Y'): ?> selected <?php endif; ?>>Active</option>
                                <option value="N" <?php if(!empty($batch) && $batch->is_active=='N'): ?> selected <?php endif; ?>>De Active</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>From Question</label>
                            <select name="from_question_id" id="from_question_id" class="form-control">
                                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($question->id); ?>" <?php if(!empty($batch) && $batch->from_question_id==$question->id): ?> selected <?php endif; ?>><?php echo e($question->question); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>To Question</label>
                            <select name="to_question_id" id="to_question_id" class="form-control">
                                <?php $__currentLoopData = $questions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $question): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($question->id); ?>" <?php if(!empty($batch) && $batch->to_question_id==$question->id): ?> selected <?php endif; ?>><?php echo e($question->question); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-js'); ?>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                $('#from_question_id').select2();
                $('#to_question_id').select2();
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    batch_name: {
                        required: true,
                    },
                },
                submitHandler: function (form) {
                    if(!checkFormValidation()) return;
                    formHandler($(form), function () {
                        $('#ajax_loader').show();
                    },
                    function (data) {
                        if (data.code===300){
                            $("#ajax_loader").hide();
                            Swal.fire("Oops", data.msg, "error")
                        }
                        else if(data.code===200){
                            if (data.redirect && data.redirect!==""){
                                window.location.href=data.redirect;
                            }
                            else{
                                parent.window.location.href=parent.window.location.href;
                            }
                        }
                    })
                }
            });
        });

        function checkFormValidation(){
            if(Number($('#from_question_id').val())>Number($('#to_question_id').val())){
                Swal.fire("Oops",'Please Select Proper Question Range', "error")
                return false;
            }
            return true;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.iframe.iframe-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/hardikvegad/Code/food-quality-check-web/resources/views/admin/iframe/batch/add-batch.blade.php ENDPATH**/ ?>