<?php $__env->startSection('title','Add Question'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-default">
        <form action="<?php echo e(route('post.add.question')); ?>" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" name="question_id" value="<?php echo e(!empty($question)?$question->id:0); ?>">
            <input type="hidden" name="actual_answer" id="actual_answer" value="<?php echo e(!empty($question)?$question->actual_answer:0); ?>">
            <div class="card-header">
                <h4><?php echo e(!empty($question)?'Edit':'Add'); ?> Question</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Question</label>
                            <textarea name="question" cols="5" rows="5" class="form-control"><?php echo e($question?$question->question:''); ?></textarea>
                        </div>
                    </div>
                    <div class="com-sm-12">
                        <div class="form-group">
                            <label>Actual</label>
                            <select name="actual_answer_id" id="actual_answer_id" class="form-control">
                                <?php $__currentLoopData = $options; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($option->id); ?>" <?php if(!empty($question) && $question->actual_answer_id==$option->id): ?>) selected <?php endif; ?>><?php echo e($option->option_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" <?php if(!empty($question) && $question->is_active=='Y'): ?> selected <?php endif; ?>>Active</option>
                                <option value="N" <?php if(!empty($question) && $question->is_active=='N'): ?> selected <?php endif; ?>>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-js'); ?>
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    question: {
                        required: true,
                    },
                },
                submitHandler: function (form) {
                    $('#actual_answer').val($('#actual_answer_id option:selected').text());
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.iframe.iframe-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/hardikvegad/Code/food-quality-check-web/resources/views/admin/iframe/question/add-question.blade.php ENDPATH**/ ?>