<?php $__env->startSection('title','add language'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-default">
        <form action="<?php echo e(route('post.add.item')); ?>" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" name="id" value="<?php echo e(!empty($item)?$item->id:0); ?>">
            <input type="hidden" name="category_id" value="<?php echo e($category_id); ?>">
            <div class="card-header">
                <h4><?php echo e(!empty($item)?'Edit':'Add'); ?> <?php echo e(!empty($category)?$category->category_name:'Items'); ?></h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Title</label>
                            <input class="form-control" type="text" name="title" value="<?php echo e(!empty($item)?$item->title:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Audio</label>
                            <input class="form-control" type="file" name="audio_url"/>
                        </div>
                        <?php if(!empty($item) && !empty($item->audio_url)): ?>
                            <audio controls><source src="<?php echo e($item->audio_url); ?>" type="audio/mpeg"></audio>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Image</label>
                            <input class="form-control" type="file" name="image"/>
                        </div>
                        <?php if(!empty($item) && !empty($item->image)): ?>
                            <div class="img-box">
                                <img src="<?php echo e($item->image); ?>" height="180" width="180">
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Text</label>
                            <input class="form-control" type="text" name="icon_text" value="<?php echo e(!empty($item)?$item->icon_text:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" <?php if(!empty($item) && $item->is_active=='Y'): ?> selected <?php endif; ?>>Active</option>
                                <option value="N" <?php if(!empty($item) && $item->is_active=='N'): ?> selected <?php endif; ?>>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-js'); ?>
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    option_answer: {
                        required: false,
                    },

                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.iframe.iframe-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\htdocs\kids-app-laravel\resources\views/admin/iframe/items/add-items.blade.php ENDPATH**/ ?>