<?php $__env->startSection('title','Add User'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-default">
        <form action="<?php echo e(route('post.add.user')); ?>" method="post" id="form" enctype="multipart/form-data">
            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
            <input type="hidden" name="user_id" value="<?php echo e(!empty($user)?$user->id:0); ?>">
            <input type="hidden" name="role" value="Customer">
            <div class="card-header">
                <h4><?php echo e(!empty($user)?'Edit':'Add'); ?> language</h4>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>First name</label>
                            <input class="form-control" type="text" name="first_name" value="<?php echo e(!empty($user)?$user->first_name:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Last name</label>
                            <input class="form-control" type="text" name="last_name" value="<?php echo e(!empty($user)?$user->last_name:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Email</label>
                            <input class="form-control" type="text" name="email" value="<?php echo e(!empty($user)?$user->email:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Password</label>
                            <input class="form-control" type="text" name="password" value="<?php echo e(!empty($user)?$user->user_password:''); ?>">
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label>Status</label>
                            <select name="is_active" id="is_active" class="form-control">
                                <option value="Y" <?php if(!empty($user) && $user->is_active=='Y'): ?> selected <?php endif; ?>>Active</option>
                                <option value="N" <?php if(!empty($user) && $user->is_active=='N'): ?> selected <?php endif; ?>>De Active</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer text-center">
                <button type="submit" class="btn btn-success">Submit</button>
            </div>
        </form>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-js'); ?>
    <script>
        $(document).ready(function (){
            setTimeout(function (){
                resize_colorbox();
            });
            $('#form').validate({
                lang: 'it',
                errorClass: 'error error_preview',
                highlight: function (element, errorClass, validClass) {
                },
                rules: {
                    first_name: {
                        required: true,
                    },
                    last_name: {
                        required: true,
                    },
                    password: {
                        minlength: 6,
                        required: true,
                    },
                    email: {
                        email:true,
                        required: true,
                    },
                },
                submitHandler: function (form) {
                    formHandler($(form), function () {
                            $('#ajax_loader').show();
                        },
                        function (data) {
                            if (data.code===300){
                                $("#ajax_loader").hide();
                                Swal.fire("Oops", data.msg, "error")
                            }
                            else if(data.code===200){
                                if (data.redirect && data.redirect!==""){
                                    window.location.href=data.redirect;
                                }
                                else{
                                    parent.window.location.href=parent.window.location.href;
                                }
                            }
                        })
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.iframe.iframe-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/hardikvegad/Code/food-quality-check-web/resources/views/admin/iframe/users/add-user.blade.php ENDPATH**/ ?>